Ruby: missing/strchr.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions
strchr.c File Reference
`#include "ruby/missing.h"`

Go to the source code of this file.

## Functions
size_t | strlen (const char *)
char * | strchr (const char *s, int c)
char * | strrchr (const char *s, int c)

## Function Documentation

## ◆ strchr()

char * strchr | ( | const char * | s,
|  | int | c
| ) |  |

Definition at line 8 of file strchr.c.

References strlen().

## ◆ strlen()

size_t strlen | ( | const char * |  | ) |

Referenced by compat_init_setproctitle(), dln_load(), getnameinfo(), gz_error(), gz_open(), gzlog_open(), gzputs(), gzvprintf(), Init_readline(), log_replace(), main(), makedir(), ole_wc2vstr(), rb_async_bug_errno(), rb_cstr_to_rat(), rb_deprecate_constant(), rb_dir_getwd_ospath(), rb_enc_interned_str_cstr(), rb_enc_str_new_cstr(), rb_enc_symname_p(), rb_exc_new_cstr(), rb_external_str_new_cstr(), rb_file_expand_path_internal(), rb_filesystem_str_new_cstr(), rb_fstring_cstr(), rb_intern(), rb_interned_str_cstr(), rb_io_modestr_fmode(), rb_iseq_ibf_dump(), rb_iv_get(), rb_locale_str_new_cstr(), rb_path_check(), rb_str_buf_cat_ascii(), rb_str_buf_cat_escaped_char(), rb_str_buf_new_cstr(), rb_str_cat_cstr(), rb_str_dump(), rb_str_escape(), rb_str_format(), rb_str_inspect(), rb_str_new_cstr(), rb_str_symname_p(), rb_sym_intern_ascii_cstr(), rb_w32_strerror(), rb_write_error(), rb_yytnamerr(), rsock_getaddrinfo(), ruby_enc_find_basename(), ruby_enc_find_extname(), ruby_init_loadpath(), ruby_set_inplace_mode(), ruby_setenv(), ruby_strdup(), setproctitle(), strchr(), strlcat(), strrchr(), tar(), TGZfname(), unzLocateFile(), unzRepair(), VpAlloc(), VpSzMantissa(), VpToFString(), VpToString(), Write_GlobalComment(), Write_LocalFileHeader(), zipOpenNewFileInZip4_64(), and zstringlen::zstringlen().

## ◆ strrchr()

char * strrchr | ( | const char * | s,
|  | int | c
| ) |  |

Definition at line 20 of file strchr.c.

References strlen().